Subject: [mpls] working group last call on draft-ietf-mpls-ipv6-pw-lsp-ping-01

From: Loa Andersson <[email-masked]>
Date: Tue, 04 Sep 2012 20:58:19 +0200

Working Group,

this is to start a working group last call on
draft-ietf-mpls-ipv6-pw-lsp-ping-01.

Please send your comments to the MPLS wg mailing list ([email-masked]).

We have done an IPR poll among the authors and on the mpls wg mailing
list. All the authors has responded that they are not aware any IPR
claims on this document.

No IPR disclosures has been filed against this document.

/Loa
(for the wg co-chairs)
-- 

Loa Andersson                         email: [email-masked]
Sr Strategy and Standards Manager            [email-masked]
Ericsson Inc                          phone: +46 10 717 52 13
                                              +46 767 72 92 13

---

From: Loa Andersson <[email-masked]>
Date: Tue, 04 Sep 2012 21:00:58 +0200

> No IPR disclosures has been filed against this document.

The working group last call ends Sep 21, 2012.

--

---

From: Loa Andersson <[email-masked]>
Date: Mon, 24 Sep 2012 15:08:34 +0200

Working Group,

this working group last call was started Sep 4, but when it concluded
we had received no responses.

There are more than one way to interpret this; we could say "Great -
everyone is happy!" or we could say "To bad - there is no interest
whatsoever for this draft!" The actions following each of these
conclusions would be wildly different.

We have there for decided to extend the working group last call until
Oct 5, 2012. This time we invite specifically positive responses
(e.g. "Yes - I believe this draft is ready to be published as an RFC").

Normal wg last call comments are of course also welcome.

Please send your comments to the mpls working group mailing list
([email-masked]).

/Loa
for the mpls working group co-chairs

--

---

From: "Nagendra Kumar (naikumar)" <[email-masked]>
Date: Tue, 25 Sep 2012 16:32:48 +0000

Hi,

Yes - Support. 

Thanks,
Nagendra

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Loa Andersson
Sent: Monday, September 24, 2012 6:39 PM
To: [email-masked]
Cc: [email-masked]; [email-masked]
Subject: [mpls] Extended: working group last call on draft-ietf-mpls-ipv6-pw-lsp-ping-01

Working Group,

this working group last call was started Sep 4, but when it concluded we had received no responses.

There are more than one way to interpret this; we could say "Great - everyone is happy!" or we could say "To bad - there is no interest whatsoever for this draft!" The actions following each of these conclusions would be wildly different.

We have there for decided to extend the working group last call until Oct 5, 2012. This time we invite specifically positive responses (e.g. "Yes - I believe this draft is ready to be published as an RFC").

Please send your comments to the mpls working group mailing list ([email-masked]).

/Loa

-- 

Loa Andersson                         email: [email-masked]
Sr Strategy and Standards Manager            [email-masked]
Ericsson Inc                          phone: +46 10 717 52 13
                                              +46 767 72 92 13 _______________________________________________
mpls mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mpls

---

From: Ping Pan <[email-masked]>
Date: Tue, 25 Sep 2012 09:33:54 -0700

Support

On Tue, Sep 25, 2012 at 9:32 AM, Nagendra Kumar (naikumar)
<[email-masked]> wrote:
> _______________________________________________
> mpls mailing list
> [email-masked]

---

From: Sam Aldrin <[email-masked]>
Date: Tue, 25 Sep 2012 09:35:23 -0700

Support.

-sam

---

From: Kireeti Kompella <[email-masked]>
Date: Tue, 25 Sep 2012 09:54:20 -0700

No objection (sorry, Loa, I know you were looking for positive comments).  However, some hopefully useful comments:

2.  IPv4 Pseudowire Sub-TLVs

   This document updates Section 3.2 and Sections 3.2.8 through 3.2.10
   of [RFC4379] as follows and as indicated in Section 4 and Section 6.
   This is done to avoid any potential ambiguity, confusion, and
   backwards compatibility issues.

I would remove "backwards compatibility"; there cannot be backwards compatibility issues with a name change.  To underscore that, I would emphasize that the changes here are *just* to the names of the sub-TLVs, not to the content or semantics.

6.  IANA Considerations

   IANA is requested to perform the following assignments in the "Multi-
   Protocol Label Switching (MPLS) Label Switched Paths (LSPs) Ping
   Parameters" registry, "TLVs and sub-TLVs" sub-registry.

   [RFC Editor: To be REMOVED prior to publication.  This registration
   should take place at <http://www.iana.org/assignments/
   mpls-lsp-ping-parameters/
   mpls-lsp-ping-parameters.xml#mpls-lsp-ping-parameters-7>]

   Update the Value fields of these three Sub-TLVs, adding the "IPv4"
   qualifier (see Section 2), and update the Reference to point to this
   document:

Change above para to (note that IANA is good about updating references):

   Update the names of the Value fields of these three Sub-TLVs,
   adding the "IPv4" qualifier (see Section 2) as follows:

Kireeti.

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Tue, 25 Sep 2012 17:47:26 +0000

Kireeti,

Thanks for the comments! Certainly useful. Ack to both points, please see more details inline.

On Sep 25, 2012, at 12:54 PM, Kireeti Kompella wrote:

> I would remove "backwards compatibility"; there cannot be backwards compatibility issues with a name change.

I am fine making this change; the "potential backwards compatibility" piece was because of the underdefinition of the subtype, that does not specify the AFI for the address -- though can be inferred from the length, can cause compat issues.

>  To underscore that, I would emphasize that the changes here are *just* to the names of the sub-TLVs, not to the content or semantics.
> 

Yes, that's there already:

   Sections 3.2.8 through 3.2.10 of [RFC4379] list the PW sub-TLVs and
   state:

...

>   adding the "IPv4" qualifier (see Section 2) as follows:

Ack.

Thanks,

-- Carlos.

---

From: Kireeti Kompella <[email-masked]>
Date: Tue, 25 Sep 2012 11:11:53 -0700

Hi Carlos,

> Thanks for the comments! Certainly useful. Ack to both points, please see more details inline.

Cool!

> I am fine making this change; the "potential backwards compatibility" piece was because of the underdefinition of the subtype, that does not specify the AFI for the address -- though can be inferre…

As I understand, you're essentially saying in the draft that sub-types 9-11 are IPv4 only; so, even though there isn't an AFI (which would have been nice), there should be no ambiguity about this.  Inference from length should not be needed.

> Yes, that's there already:

I know it's there; pointing this out explicitly at the beginning of the section would drive it home.

>>   adding the "IPv4" qualifier (see Section 2) as follows:

Excellent!

Kireeti.

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Tue, 25 Sep 2012 18:16:11 +0000

Hi Kireeti,

> As I understand, you're essentially saying in the draft that sub-types 9-11 are IPv4 only; so, even though there isn't an AFI (which would have been nice), there should be no ambiguity about this.…

Right -- inference from the length should not be needed. However, reading http://tools.ietf.org/html/rfc4379#section-3.2.8, http://tools.ietf.org/html/rfc4379#section-3.2.9, and 
http://tools.ietf.org/html/rfc4379#section-3.2.10, there is nothing that specifies that these are IPv4 PE Addresses -- other than reverse engineering the length.

I agree with your proposed change though, we want to remove the "potential ambiguity".

> I know it's there; pointing this out explicitly at the beginning of the section would drive it home.

Sure. Sounds good.

>>>   adding the "IPv4" qualifier (see Section 2) as follows:

:-)

Thanks again,

-- Carlos.